curl --request POST \
--url https://api.adside.ai/v1/workspaces/{workspaceId}/meta/instagram-publications/get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"publication_id": "<string>",
"wait_seconds": 180
}
'import requests
url = "https://api.adside.ai/v1/workspaces/{workspaceId}/meta/instagram-publications/get"
payload = {
"publication_id": "<string>",
"wait_seconds": 180
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({publication_id: '<string>', wait_seconds: 180})
};
fetch('https://api.adside.ai/v1/workspaces/{workspaceId}/meta/instagram-publications/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.adside.ai/v1/workspaces/{workspaceId}/meta/instagram-publications/get",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'publication_id' => '<string>',
'wait_seconds' => 180
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.adside.ai/v1/workspaces/{workspaceId}/meta/instagram-publications/get"
payload := strings.NewReader("{\n \"publication_id\": \"<string>\",\n \"wait_seconds\": 180\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.adside.ai/v1/workspaces/{workspaceId}/meta/instagram-publications/get")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"publication_id\": \"<string>\",\n \"wait_seconds\": 180\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.adside.ai/v1/workspaces/{workspaceId}/meta/instagram-publications/get")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"publication_id\": \"<string>\",\n \"wait_seconds\": 180\n}"
response = http.request(request)
puts response.read_bodyInstagram-publications get
Where an Instagram publication stands: processing (with its phase), published (with the permalink), failed (nothing was posted, with the reason and the fix), unknown (it may be live: Adside didn’t re-send) or deleted. This call WAITS (up to wait_seconds, default 3 minutes) while it is processing, so call it once rather than polling; if it still says processing, call it again. It only reads: it never publishes.
CLI: adside meta instagram-publications get
curl --request POST \
--url https://api.adside.ai/v1/workspaces/{workspaceId}/meta/instagram-publications/get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"publication_id": "<string>",
"wait_seconds": 180
}
'import requests
url = "https://api.adside.ai/v1/workspaces/{workspaceId}/meta/instagram-publications/get"
payload = {
"publication_id": "<string>",
"wait_seconds": 180
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({publication_id: '<string>', wait_seconds: 180})
};
fetch('https://api.adside.ai/v1/workspaces/{workspaceId}/meta/instagram-publications/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.adside.ai/v1/workspaces/{workspaceId}/meta/instagram-publications/get",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'publication_id' => '<string>',
'wait_seconds' => 180
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.adside.ai/v1/workspaces/{workspaceId}/meta/instagram-publications/get"
payload := strings.NewReader("{\n \"publication_id\": \"<string>\",\n \"wait_seconds\": 180\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.adside.ai/v1/workspaces/{workspaceId}/meta/instagram-publications/get")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"publication_id\": \"<string>\",\n \"wait_seconds\": 180\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.adside.ai/v1/workspaces/{workspaceId}/meta/instagram-publications/get")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"publication_id\": \"<string>\",\n \"wait_seconds\": 180\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
A personal API key (adside_pat_…) or a token from adside login. Either carries the permissions of the person it belongs to.
Path Parameters
1Body
The publication_id adside meta instagram-posts publish returned. Omit it for this workspace's most recent Instagram publication.
1Seconds to wait for the post to go live (or fail) before answering. Default 180, max 240. Leave the default: one call usually returns the live post. 0 answers at once.
0 <= x <= 240Response
Success